Bug 99382 - Version 8.0 xFree86 Video does not recognise S3TrioCard
Summary: Version 8.0 xFree86 Video does not recognise S3TrioCard
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 8.0
Hardware: i586 Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-18 13:47 UTC by Rob Zeilinga
Modified: 2007-04-18 16:55 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-01 05:46:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xfree log file (11.30 KB, text/plain)
2003-07-18 14:07 UTC, Rob Zeilinga
no flags Details

Description Rob Zeilinga 2003-07-18 13:47:36 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
After running install of Linux on IBM Netfinity 5000 Server (PIII)
X Server fails to start.
Video Card = S3 Trio64V2/DX or /GX

Looking through log /var/log/XFree86.0.log shows following:
during Probe:
...
(II) PCI: 00:0a:0 chip 5333,8901 card 1014,00dc rev 16 class 03,00,00 hdr 00
...

later the log reports:
(--) PCI:*(0:10:0) S3 Trio64V2/DX or /GX rev 22, mem @ 0xf8000000/26
and finally when Xserver tries to load the Video Driver:
(II) S3: driver (version0.3.5 for s3 chipset: 964-0, 964-1,968,
          Trio32/64, Aurora64V+
(II) Primary device is : PCI 00:0a:0
(--) Assigning device section with no busID to primary device
(EE) No devices Detected

Fatal server error:
no screens found


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.run installation on Netfinity 5000 
2.
3.
    

Actual Results:  as explained in description

Expected Results:  xserver should have started

Additional info:

When I try and run XF86Config from /usr/X11/bin and answer default answers to 
the questions and do NOT search the card database, xserver starts but with only 
50% (lower) of screen showing something and icons approx 2" by 2" also mouse 
movement is detected but cannot see mouse icon.

Comment 1 Rob Zeilinga 2003-07-18 14:07:02 UTC
Created attachment 93001 [details]
Xfree log file

Comment 2 Mike A. Harris 2004-10-01 05:46:46 UTC
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.


Note You need to log in before you can comment on or make changes to this bug.